<?php

// Si clic sur le bouton de mise à jour
if (isset($_POST['submit'])) {

    // variable pour la maj, 0 => pas de maj, 1 => maj
    $maj = 0;
    // récupération des options de mail
    $emsend = get_option('mondialrelay_email_send');
    $multilang = get_option('mondialrelay_email_multi_lang');
    $sujfr = get_option('mondialrelay_email_expedition_sujet');
    $mesfr = get_option('mondialrelay_email_expedition_message');
    $sujes = get_option('mondialrelay_email_expedition_sujet_es');
    $meses = get_option('mondialrelay_email_expedition_message_es');
    $sujnl = get_option('mondialrelay_email_expedition_sujet_nl');
    $mesnl = get_option('mondialrelay_email_expedition_message_nl');
    $sujen = get_option('mondialrelay_email_expedition_sujet_en');
    $mesen = get_option('mondialrelay_email_expedition_message_en'); 

    // Si l'option d'envoi est sélectionné mais pas en base
    if (isset($_POST['email_send']) && $emsend == 0) {
        $champs['mondialrelay_email_send'] = 1;
        $maj = 1;
    } // Si l'option d'envoi est déselectionné mais activé en base
    elseif (!isset($_POST['email_send']) && $emsend == 1) {
        $champs['mondialrelay_email_send'] = 0;
        $maj = 1;
    }

    // Si l'option d'envoi est sélectionné mais pas en base
    if (isset($_POST['email_multi_lang']) && $multilang == 0 ) {
        $champs['mondialrelay_email_multi_lang'] = 1;
        $maj = 1;
        
        // S'il s'agit de la première activation, on met les textes par défaut
        if ($sujes == '' && $meses == '' && $sujnl == '' && $mesnl == '' && $sujen == '' && $mesen == '' ) {
            $champs['mondialrelay_email_expedition_sujet_es'] = "Su pedido nº[expedition] ha sido enviada.";
            $champs['mondialrelay_email_expedition_message_es'] = "Buenos días [prenom] [nom],<br><br>\n\nLe informamos que su pedido ha sido enviado. Lo recibirá en breve. Si quiere conocer su progresion puede seguir el enlace [lien].<br><br>\n\n La expedición [expedition] sera entregada a la siguiente dirección: <br>[adresse]. <br><br>\n\n No dude en contactarnos para cualquiera información complementaria.<br><br>\n\nSu dept. Atención al Cliente";
            $champs['mondialrelay_email_expedition_sujet_nl'] = "Uw bestelling met nummer [expedition] is verzonden.";
            $champs['mondialrelay_email_expedition_message_nl'] = "Goeiendag [prenom] [nom],<br><br>\n\nHierbij laten we u weten dat uw bestelling verzonden is. U ontvangt deze binnenkort. Als u de verzending wilt volgen, dan kunt u via deze [lien] het traject volgen.<br><br>\n\n De verzending [expedition] wordt afgeleverd op het volgende adres: <br>[adresse]. <br><br>\n\n Neem gerust contact met ons op voor verdere informatie.<br><br>\n\nUw klantendienst";
            $champs['mondialrelay_email_expedition_sujet_en'] = "Your order number [expedition] has been shipped.";
            $champs['mondialrelay_email_expedition_message_en'] = "Hello [prenom] [nom],<br><br>\n\nWe inform you that your order has been shipped. You will receive it shortly, but if you want to keep an eye on it, you can go to [lien] to follow its progress. <br><br>\n\n The shipment [expedition] will be delivered to the following address: <br> [adresse]. <br><br>\n\n Do not hesitate to contact us for any further information.<br><br>\n\nYour customer service";
        }
    } // Si l'option d'envoi est déselectionné mais activé en base
    elseif (!isset($_POST['email_multi_lang']) && $multilang == 1 ) {
        $champs['mondialrelay_email_multi_lang'] = 0;
        $maj = 1;
    }

    // si le mail fr est renseigné et que le sujet ou le message sont différents en base
    if (isset($_POST['email_expedition']) && ($_POST['email_expedition'] != $mesfr || $_POST['sujet_expedition'] != $sujfr)) {
        $a_lien = strpos($_POST['email_expedition'], '[lien]');
        $a_expedition = strpos($_POST['email_expedition'], '[expedition]');
        // si les shortcodes sont présents, on prépare les données de mise à jour
        if ($a_lien == true && $a_expedition == true) {
            $champs['mondialrelay_email_expedition_message'] = $_POST['email_expedition'];
            $champs['mondialrelay_email_expedition_sujet'] = $_POST['sujet_expedition'];
            $maj = 1;
            // on affiche le message confirmant la maj
            $noty = 2;
        }
        else { // on affiche le message indiquant qu'il manque les shortcodes
            $noty = 1;
        }
    }

    // si le mail es est renseigné et que le sujet ou le message sont différents en base
    if (isset($_POST['email_expedition_es']) && ($_POST['email_expedition_es'] != $meses || $_POST['sujet_expedition_es'] != $sujes)) {
        
        $a_lien_es = strpos($_POST['email_expedition_es'], '[lien]');
        $a_expedition_es = strpos($_POST['email_expedition_es'], '[expedition]');
        // si les shortcodes sont présents, on prépare les données de mise à jour
        if ($a_lien_es == true && $a_expedition_es == true) {
            $champs['mondialrelay_email_expedition_message_es'] = $_POST['email_expedition_es'];
            $champs['mondialrelay_email_expedition_sujet_es'] = $_POST['sujet_expedition_es'];
            $maj = 1;
            // on affiche le message confirmant la maj
            $noty_es = 2;
        }
        else { // on affiche le message indiquant qu'il manque les shortcodes
            $noty_es = 1;
        }
    }

    // si le mail nl est renseigné et que le sujet ou le message sont différents en base
    if (isset($_POST['email_expedition_nl']) && ($_POST['email_expedition_nl'] != $mesnl || $_POST['sujet_expedition_nl'] != $sujnl)) {
        $a_lien_nl = strpos($_POST['email_expedition_nl'], '[lien]');
        $a_expedition_nl = strpos($_POST['email_expedition_nl'], '[expedition]');
        // si les shortcodes sont présents, on prépare les données de mise à jour
        if ($a_lien_nl == true && $a_expedition_nl == true) {
            $champs['mondialrelay_email_expedition_message_nl'] = $_POST['email_expedition_nl'];
            $champs['mondialrelay_email_expedition_sujet_nl'] = $_POST['sujet_expedition_nl'];
            $maj = 1;
            // on affiche le message confirmant la maj
            $noty_nl = 2;
        }
        else { // on affiche le message indiquant qu'il manque les shortcodes
            $noty_nl = 1;
        }
    }

    // si le mail en est renseigné et que le sujet ou le message sont différents en base
    if (isset($_POST['email_expedition_en']) && ($_POST['email_expedition_en'] != $mesen || $_POST['sujet_expedition_en'] != $sujen)) {
        $a_lien_en = strpos($_POST['email_expedition_en'], '[lien]');
        $a_expedition_en = strpos($_POST['email_expedition_en'], '[expedition]');
        // si les shortcodes sont présents, on prépare les données de mise à jour
        if ($a_lien_en == true && $a_expedition_en == true) {
            $champs['mondialrelay_email_expedition_message_en'] = $_POST['email_expedition_en'];
            $champs['mondialrelay_email_expedition_sujet_en'] = $_POST['sujet_expedition_en'];
            $maj = 1;
            // on affiche le message confirmant la maj
            $noty_en = 2;
        }
        else { // on affiche le message indiquant qu'il manque les shortcodes
            $noty_en = 1;
        }
    }

    // Mise à jour en base si une des données a été modifiée
    if ($maj == 1) {
        class_MRWP_conf::get_champs_email($champs);
        class_MRWP_db::update_options_champs($champs);
    }

}

// Initialisation des données
$champs = array(
    'mondialrelay_email_send' => '',
    'mondialrelay_email_multi_lang' => '',
    'mondialrelay_email_expedition_sujet' => '',
    'mondialrelay_email_expedition_message' => '',
    'mondialrelay_email_expedition_sujet_es' => '',
    'mondialrelay_email_expedition_message_es' => '',
    'mondialrelay_email_expedition_sujet_nl' => '',
    'mondialrelay_email_expedition_message_nl' => '',
    'mondialrelay_email_expedition_sujet_en' => '',
    'mondialrelay_email_expedition_message_en' => ''
);

// Maj avec les données saisies ou avec les données en base
foreach($champs as $champ => $valeur) {
    if (isset($_POST[$champ]) && $_POST[$champ] != '') {
        $champs[$champ] = $_POST[$champ];
    }
    else {
        //$champs[$champ] = $wpdb->get_var( "SELECT option_value FROM " . $prefixe . "options WHERE option_name = '$champ'" );
        $champs[$champ] = get_option($champ);
        $champs[$champ] = str_replace("<br />", "\n", $champs[$champ]);
    }
    $champs[$champ] = stripslashes($champs[$champ]);
}
