<?php
// MAINTENANCE
if ((!isset($_GET['tab'])) || (isset($_GET['tab']) && $_GET['tab'] == 'maintenance')) {
    require_once dirname(__FILE__) . '/MRWP-admin-maintenance-controller.php';
}
// WEBSERVICE
elseif (isset($_GET['tab']) && $_GET['tab'] == 'webservice') {
    require_once dirname(__FILE__) . '/MRWP-admin-webservice-controller.php';
}
// STATUS
elseif (isset($_GET['tab']) && $_GET['tab'] == 'status') {
    require_once dirname(__FILE__) . '/MRWP-admin-status-controller.php';
}
?>
<div class="wrap woocommerce">
    <h2 class="nav-tab-wrapper woo-nav-tab-wrapper">
        <a href="?page=wp-mondialrelay-maintenance&amp;tab=maintenance" class="nav-tab <?php if ((!isset($_GET['tab'])) || (isset($_GET['tab']) && $_GET['tab'] == 'maintenance')) echo 'nav-tab-active'; ?>"><?php _e("Maintenance", 'mondialrelay-wordpress') ?></a>
        <a href="?page=wp-mondialrelay-maintenance&amp;tab=webservice" class="nav-tab <?php if (isset($_GET['tab']) && $_GET['tab'] == 'webservice') echo 'nav-tab-active'; ?>"><?php _e("Web Service Mondial Relay", 'mondialrelay-wordpress') ?></a>
        <a href="?page=wp-mondialrelay-maintenance&amp;tab=status" class="nav-tab <?php if (isset($_GET['tab']) && $_GET['tab'] == 'status') echo 'nav-tab-active'; ?>"><?php _e("Statut", 'mondialrelay-wordpress') ?></a>
    </h2>

    <?php
    // MAINTENANCE
    if (!isset($_GET['tab']) || $_GET['tab'] == 'maintenance') {
        require_once dirname(__FILE__) . '/MRWP-admin-maintenance-view.php';
    }
    // WEBSERVICE
    elseif ($_GET['tab'] == 'webservice') {
        require_once dirname(__FILE__) . '/MRWP-admin-webservice-view.php';
    }
    // STATUS
    elseif ($_GET['tab'] == 'status') {
        require_once dirname(__FILE__) . '/MRWP-admin-status-view.php';
    }
    ?>
</div>
